Subject: bug#35875: Guix won't boot after installation with fully encrypted disk

From: Giovanni Biscuolo <[email-masked]>
Date: Wed, 29 May 2019 18:24:18 +0200

Hello Reg,

Reg <[email-masked]> writes:

[...]

>> Anyway, to check if GPU is the problem here could you please add
>> "modprobe.blacklist=radeon" [2] (or vga=791 if this does not work [3])
>> to the "linux" kernel arguments and report back the error messages, if
>> any?
> No error message & still the same issue with both these arguments.

OK so it seems this is not related to your GPU but to disk encryption

I cannot reproduce your very same situation: I'm using a manual
partition scheme (not the guided one) since I want to presenve a couple
partitions on my HD

I was able to install and boot Guix on an encrypted BTRFS partition with
no issues, this is what the installer configured for bootloader,
mapped-devices and file-systems:

--8<---------------cut here---------------start------------->8---
  (bootloader
    (bootloader-configuration
      (bootloader grub-efi-bootloader)
      (target "/boot/efi")
      (keyboard-layout keyboard-layout)))
  (mapped-devices
    (list (mapped-device
            (source
              (uuid "228371e9-9cd7-4bb5-8976-d65029892b8e"))
            (target "guix")
            (type luks-device-mapping))))
  (file-systems
    (cons* (file-system
             (mount-point "/")
             (device "/dev/mapper/guix")
             (type "btrfs")
             (dependencies mapped-devices))
           (file-system
             (mount-point "/boot/efi")
                          (type "vfat"))
           %base-file-systems))
--8<---------------cut here---------------end--------------->8---

I first had to insert the LUKS encryption key to let Grub start, then I
had to enter the same key after Grub booted

>> Did you have hardware-related problems with other free GNU/Linux distros
>> on this machine before?
> I've been using Parabola on this computer for several years without
> problems, but none of my disks were encrypted.

Please are you able to connect to ssh to your laptop during installation
(before rebooting) [1] and paste here the content of /mnt/etc/config.scm
generated by the installer?

Thanks! Gio'.

[1] you can switch to a console with CTRL-ALT-F3, set the root password
(passwd) and "herd start ssh-daemon"

-- 
Giovanni Biscuolo

Xelera IT Infrastructures